Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 28 Feb 2020, 07:01
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
BareBones Puppies & BABYies
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 10 of 11 [155 Posts]   Goto page: Previous 1, 2, 3, ..., 8, 9, 10, 11 Next
Author Message
salgak

Joined: 18 Nov 2019
Posts: 5

PostPosted: Tue 14 Jan 2020, 13:04    Post subject:  Is there a cut-down version of 8.0, preferably Ubuntu/ UEFI?  

. . . or do I do it the hard way ?? (grin)
Back to top
View user's profile Send private message 
jrb


Joined: 11 Dec 2007
Posts: 1439
Location: Smithers, BC, Canada

PostPosted: Tue 14 Jan 2020, 17:04    Post subject: Re: Is there a cut-down version of 8.0, preferably Ubuntu/ UEFI?  

salgak wrote:
. . . or do I do it the hard way ?? (grin)
Bionic32-light - 27 April, 2019
Back to top
View user's profile Send private message 
zagreb999

Joined: 11 Apr 2014
Posts: 558
Location: Yugoslavija

PostPosted: Fri 24 Jan 2020, 04:32    Post subject: tazpuppy as mini iso  

regards

my suggestion is to use
tazpuppy as base to create
minimal iso...

sfs file is only 57 mb...
Back to top
View user's profile Send private message 
jrb


Joined: 11 Dec 2007
Posts: 1439
Location: Smithers, BC, Canada

PostPosted: Fri 24 Jan 2020, 08:44    Post subject: Re: tazpuppy as mini iso  

zagreb999 wrote:
regards

my suggestion is to use
tazpuppy as base to create
minimal iso...

sfs file is only 57 mb...
Will tazpuppy run the latest Palemoon or Vivaldi?
Back to top
View user's profile Send private message 
zagreb999

Joined: 11 Apr 2014
Posts: 558
Location: Yugoslavija

PostPosted: Sat 25 Jan 2020, 05:13    Post subject:  

regards

of course...
also firefox 71
Back to top
View user's profile Send private message 
rockedge


Joined: 11 Apr 2012
Posts: 1548
Location: Connecticut, United States

PostPosted: Sat 25 Jan 2020, 10:10    Post subject:  

can TazPup run web servers and mysql servers?
Back to top
View user's profile Send private message Visit poster's website 
zagreb999

Joined: 11 Apr 2014
Posts: 558
Location: Yugoslavija

PostPosted: Sat 25 Jan 2020, 14:56    Post subject:  

rockedge
i do not use it...
Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 3682
Location: 500 seconds from Sol

PostPosted: Sat 25 Jan 2020, 15:25    Post subject:  

rockedge wrote:
can TazPup run web servers and mysql servers?


Puppies can, and Slitaz --the other partner in Tazpup-- can, http://vanilla.slitaz.org/index.php?p=/discussion/2377/installation-mysql/p1; https://distrowatch.com/table-mobile.php?distribution=slitaz&pkglist=true&version=5.0-rolling. So, there shouldn't be any reason why not. But "How" --that's a story to be told by someone above my paygrade.
Back to top
View user's profile Send private message 
keniv

Joined: 06 Oct 2009
Posts: 591
Location: Scotland

PostPosted: Sun 26 Jan 2020, 16:52    Post subject:  

Hi All,
I thought I would try a babybarebones. I have used a barebones before but it was a while ago. I have a frugal install of this one.
https://docs.google.com/file/d/0B0uge_imqIdZYUFkdDBEZFlvYzg/edit?usp=sharing
This is the versa only version from page 1. As an issue with these when I tried before was the browser I thought I would try palemoon from here.
http://www.murga-linux.com/puppy/viewtopic.php?p=1034519&sid=fa6a7ef8bfbd3061ddc3cdb37851a36a
It is watchdog's post fourth from the top. I used the palemoon-28.8.1-glibc219tweak.pet as this worked for me in racy5.5. However it does not start from the menu. This is the output I get on trying to start it from a terminal.
Code:
palemoon
XPCOMGlueLoad error for file /usr/lib/palemoon/libxul.so:
libdbus-glib-1.so.2: cannot open shared object file: No such file or directory
Couldn't load XPCOM

The file /usr/lib/palemoon/libxul.so exists, however, I can't find libdbus-glib-1.so.2 on the system. I know the barebones pups are striped down so I assume this is why it's missing. I assume others may also be missing. Getting palemoon running on this would mean having a good, usable and up to date browser instead of older and perhaps less secure browsers. Can somebody with more knowledge of this than I have suggest how I could get/install the file/files required to get palemoon to run.

Regards,

Ken.
Back to top
View user's profile Send private message 
nic007


Joined: 13 Nov 2011
Posts: 3282
Location: Cradle of Humankind

PostPosted: Sun 26 Jan 2020, 22:38    Post subject:  

I would rather suggest downloading jrb's Precise Light which is a cut-down version of Precise with some newer libraries and therefor a much more up to date system. The latter is also being "maintained" by jrb and has many users who frequently make suggestions to its improvement etc. Everything, like Palemoon should just work out of the box. Seriously, those old barebones Puppy's you are mentioning have limited functionality and are OLD by now. Save yourself the trouble.
_________________
nicOS-Remaster-Suite,nicOS-Save2SFS,nicOS-SFS-Editor
Back to top
View user's profile Send private message 
keniv

Joined: 06 Oct 2009
Posts: 591
Location: Scotland

PostPosted: Mon 27 Jan 2020, 14:43    Post subject:  

@nico007

I was just intrigued to see if I could get palemoon to run on a 61MB pup. I am no expert here so unless somebody with greater expertise can tell me how to do it I guess the answer is no. I have tried precise lite and as far as other older pups are concerned I have both lucid 5287 and racy 5.5, with updates, both running palemoon 28.8.x.

Regards,

Ken.
Back to top
View user's profile Send private message 
nic007


Joined: 13 Nov 2011
Posts: 3282
Location: Cradle of Humankind

PostPosted: Tue 28 Jan 2020, 06:46    Post subject:  

keniv wrote:
@nico007

I was just intrigued to see if I could get palemoon to run on a 61MB pup. I am no expert here so unless somebody with greater expertise can tell me how to do it I guess the answer is no. I have tried precise lite and as far as other older pups are concerned I have both lucid 5287 and racy 5.5, with updates, both running palemoon 28.8.x.

Regards,

Ken.

In a previous post you mention another required library you can't find in the barebones puppy. Copy it from the original iso, maybe the browser will work then.

_________________
nicOS-Remaster-Suite,nicOS-Save2SFS,nicOS-SFS-Editor
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1965
Location: Italy

PostPosted: Tue 28 Jan 2020, 08:51    Post subject:  

keniv wrote:

Code:
palemoon
XPCOMGlueLoad error for file /usr/lib/palemoon/libxul.so:
libdbus-glib-1.so.2: cannot open shared object file: No such file or directory
Couldn't load XPCOM

The file /usr/lib/palemoon/libxul.so exists, however, I can't find libdbus-glib-1.so.2 on the system.


Wary and Racy came without dbus and dbus-glib. Install them:

http://murga-linux.com/puppy/viewtopic.php?p=1033960#1033960
Back to top
View user's profile Send private message 
nic007


Joined: 13 Nov 2011
Posts: 3282
Location: Cradle of Humankind

PostPosted: Tue 28 Jan 2020, 09:05    Post subject:  

watchdog wrote:
keniv wrote:

Code:
palemoon
XPCOMGlueLoad error for file /usr/lib/palemoon/libxul.so:
libdbus-glib-1.so.2: cannot open shared object file: No such file or directory
Couldn't load XPCOM

The file /usr/lib/palemoon/libxul.so exists, however, I can't find libdbus-glib-1.so.2 on the system.


Wary and Racy came without dbus and dbus-glib. Install them:

http://murga-linux.com/puppy/viewtopic.php?p=1033960#1033960

Racy 5.5 has those.

_________________
nicOS-Remaster-Suite,nicOS-Save2SFS,nicOS-SFS-Editor
Back to top
View user's profile Send private message 
rockedge


Joined: 11 Apr 2012
Posts: 1548
Location: Connecticut, United States

PostPosted: Tue 28 Jan 2020, 09:29    Post subject:  

Code:
# /opt/palemoon/palemoon
XPCOMGlueLoad error for file /opt/palemoon/libxul.so:
/usr/lib/libstdc++.so.6: version `CXXABI_1.3.3' not found (required by /opt/palemoon/libxul.so)
Couldn't load XPCOM.



doesn't matter on Racy 5.5. the libstdc++ is to old. Last night I tried all kinds of palemoon versions and couldn't get one to run in a Racy55 virtualbox machine

Could not upgrade libstdc++ successfully
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 10 of 11 [155 Posts]   Goto page: Previous 1, 2, 3, ..., 8, 9, 10, 11 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1054s ][ Queries: 13 (0.0554s) ][ GZIP on ]